scryerlgt(1)

NAME
scryerlgt - Logtalk integration script for Scryer Prolog

SYNOPSIS
scryerlgt [-g goal]

DESCRIPTION
scryerlgt is a Logtalk integration script for Scryer Prolog. It automatically loads the Scryer Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories.

OPTIONS

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
Scryer Prolog 0.8.128 or a later version is required. This integration script looks for a "scryer-prolog" executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_scryer.pl
    Prolog file used for loading the necessary files for starting Logtalk using Scryer Prolog as the backend compiler.

$LOGTALKHOME/adapters/scryer.pl
    The Scryer Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The Scryer Prolog git repo at https://github.com/mthom/scryer-prolog

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2021 Paulo Moura.